Subject: Re: [PATCH 0/4] repo: add support for path-related fields

From: Lucas Seiki Oshiro <[email-masked]>
Date: Sat, 7 Mar 2026 21:29:00 -0300

> I think you should provide both.  I originally added this for things
> like `--git-common-dir`, which Git LFS would really like to have as an
> absolute path in the way that Git canonicalizes it, as well as
> potentially a relative path.

Thanks for your input, brian!

> With `git rev-parse`, you can change `--path-format` on the command line
> between options, so if you want both, you just request one thing, use
> `--path-format`, and then request the other.  However, that can't be
> done with `git repo` and `--path-format`.

It makes sense. If we use the key format suggested by Ayush [1]
we could retrieve both values with something like

   $ git repo info path.git-dir.absolute path.git-dir.relative

I'll stop by now. Since many people are interested in contributing to
git-repo-info in GSoC, I'll leave this decision to the person who will
work on it, if there is one.

[1] [email-masked]